	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "coastlines4")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -20.00)
	call psetr("subpage_upper_right_longitude", 16.00)
	call psetr("subpage_upper_right_latitude", 60.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", 34.00)

	call psetc("map_coastline_sea_shade_colour", "sky")
	call psetc("map_coastline_resolution", "high")
	call psetc("map_rivers_colour", "sky")
	call psetc("map_grid", "off")
	call psetc("map_coastline_land_shade", "off")
	call psetc("map_coastline_colour", "sky")
	call psetc("map_coastline_sea_shade", "on")
	call psetc("map_rivers", "on")
	call pcoast

	call preset('map_coastline_sea_shade_colour')
	call preset('map_coastline_resolution')
	call preset('map_rivers_colour')
	call preset('map_grid')
	call preset('map_coastline_land_shade')
	call preset('map_coastline_colour')
	call preset('map_coastline_sea_shade')
	call preset('map_rivers')

	call pset1c("text_lines", (/"<font size='1'>Sea, lakes and rivers</font>"/), 1)
	call psetr("text_font_size", 0.80)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
